Package org.codehaus.groovy.control.messages

# Class SyntaxErrorMessage

java.lang.Object
org.codehaus.groovy.control.messages.Message
org.codehaus.groovy.control.messages.SyntaxErrorMessage

public class SyntaxErrorMessage extends Message
A class for error messages produced by the parser system.

Author:
  Chris Poirier

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SyntaxException`
`cause`
`protected SourceUnit`
`source`

## Constructor Summary

Constructors
Constructor
Description
`SyntaxErrorMessage(SyntaxException cause, SourceUnit source)`

## Method Summary

Modifier and Type
Method
Description
`SyntaxException`
`getCause()`
Returns the underlying SyntaxException.
`void`
`write(PrintWriter output, Janitor janitor)`
Writes out a nicely formatted summary of the syntax error.

### Methods inherited from class org.codehaus.groovy.control.messages.Message

`create, create, create, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cause

protected SyntaxException cause

### source

protected SourceUnit source

## Constructor Details

### SyntaxErrorMessage

public SyntaxErrorMessage(SyntaxException cause, SourceUnit source)

## Method Details

### getCause

public SyntaxException getCause()
Returns the underlying SyntaxException.

### write

public void write(PrintWriter output, Janitor janitor)
Writes out a nicely formatted summary of the syntax error.

Specified by:
  `write` in class `Message`